package org.ylhealth.ym.springtest.hibernate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 利用 annotation 處理多國語系轉換
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface I18NTranslate {
  /**
   * 對應的欄位
   * @return
   */
  String column() default "";
  
  /**
   * 對應的 id
   * @return
   */
  String id() default "";

  /**
   * 翻譯的表格
   * @return
   */
  String table() default "";

  
  
}
